//
//	UserInfo.h
//

#import <Foundation/Foundation.h>

@interface UserInfo :  NSObject
{
	// DB Table columns
	NSString* ID_;
	NSString* Name_;
	NSString* ScreenName_;
	NSString* ProfileImageUrl_;
	NSNumber* FollowersCount_;
	NSNumber* FriendsCount_;
	NSString* Text_;
}

@property (nonatomic, retain) NSString* ID;
@property (nonatomic, retain) NSString* Name;
@property (nonatomic, retain) NSString* ScreenName;
@property (nonatomic, retain) NSString* ProfileImageUrl;
@property (nonatomic, retain) NSNumber* FollowersCount;
@property (nonatomic, retain) NSNumber* FriendsCount;
@property (nonatomic, retain) NSString* Text;

+(id)ID:(NSString*) ID
		 Name:(NSString*) Name
   ScreenName:(NSString*) ScreenName
ProfileImageUrl:(NSString*) ProfileImageUrl
FollowersCount:(NSNumber*) FollowersCount // フォローされている数
 FriendsCount:(NSNumber*) FriendsCount	  // フォローしている数
		 Text:(NSString*) Text;

-(id)initWithID:(NSString*) ID
		   Name:(NSString*) Name
	 ScreenName:(NSString*) ScreenName
ProfileImageUrl:(NSString*) ProfileImageUrl
 FollowersCount:(NSNumber*) FollowersCount
   FriendsCount:(NSNumber*) FriendsCount
		   Text:(NSString*) Text;

@end



