//
//	FollowManAppDelegate.m
//	FollowMan
//

#import "SampleAppDelegate.h"

@implementation SampleAppDelegate


#pragma mark -
#pragma mark Application lifecycle


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
	
	// windowを自分で作成
	CGRect bounds = [[UIScreen mainScreen] bounds];
	window = [[UIWindow alloc] initWithFrame:bounds];
	
	// メイン画面の作成
	id viewController = [[[ViewController alloc] init] autorelease];
	
	// ナビゲーションバー作成
	navigationController = [[UINavigationController alloc] initWithRootViewController:viewController];
	navigationController.navigationBar.tintColor = [UIColor grayColor];
	navigationController.navigationBar.translucent = NO;
	
	[window addSubview:navigationController.view];
	[window makeKeyAndVisible];
	
	return YES;
}


#pragma mark -
#pragma mark Memory management


- (void)applicationDidReceiveMemoryWarning:(UIApplication *)application {
	/*
	 Free up as much memory as possible by purging cached data objects that can be recreated (or reloaded from disk) later.
	 */
}


- (void)dealloc {
	[navigationController release];
	[window release];
	[super dealloc];
}

@end
