//
//	UserInfo.m
//

#import "UserInfo.h"


@implementation UserInfo

@synthesize ID = ID_;
@synthesize Name = Name_;
@synthesize ScreenName = ScreenName_;
@synthesize ProfileImageUrl = ProfileImageUrl_;
@synthesize FollowersCount = FollowersCount_;
@synthesize FriendsCount = FriendsCount_;
@synthesize Text = Text_;


+(id)ID:(NSString*) ID
		 Name:(NSString*) Name
   ScreenName:(NSString*) ScreenName
ProfileImageUrl:(NSString*) ProfileImageUrl
FollowersCount:(NSNumber*) FollowersCount // フォローされている数
 FriendsCount:(NSNumber*) FriendsCount	  // フォローしている数
		 Text:(NSString*) Text
{
	id userInfo = [[self alloc] initWithID:ID
						 			  Name:Name
							    ScreenName:ScreenName
						   ProfileImageUrl:ProfileImageUrl
						    FollowersCount:FollowersCount
							  FriendsCount:FriendsCount
							  		  Text:Text
							];

	return userInfo;
//	return [friend autorelease];
}


-(id)initWithID:(NSString*) ID
		   Name:(NSString*) Name
	 ScreenName:(NSString*) ScreenName
ProfileImageUrl:(NSString*) ProfileImageUrl
 FollowersCount:(NSNumber*) FollowersCount
   FriendsCount:(NSNumber*) FriendsCount
		   Text:(NSString*) Text
{
	if ((self = [super init]))
	{
		self.ID = ID;
		self.Name = Name;
		self.ScreenName = ScreenName;
		self.ProfileImageUrl = ProfileImageUrl;
		self.FollowersCount = FollowersCount;
		self.FriendsCount = FriendsCount;
		self.Text = Text;
	}

	return self;
}


- (void)dealloc
{
	self.ID = nil;
	self.Name = nil;
	self.ScreenName = nil;
	self.ProfileImageUrl = nil;
	self.FollowersCount = nil;
	self.FriendsCount = nil;
	self.Text = nil;
	[super dealloc];
}

- (NSString *)description {
	return [NSString stringWithFormat:@"ID=%@ Name=%@ ScreenName=%@ ProfileImageUrl=%@ FollowersCount=%d FriendsCount=%d Text=%@",
			ID_, Name_, ScreenName_, ProfileImageUrl_, [FollowersCount_ intValue], [FriendsCount_ intValue], Text_];
}

@end
