//
//  LoginViewController.h
//  FollowMan
//

#import <UIKit/UIKit.h>
#import "SampleAppDelegate.h"
#import "DBException.h"
#import <sqlite3.h>
#import "UserInfo.h"

@interface ViewController : UITableViewController {
@private
	UITextField *usernameField;
	UITextField *passwordField;

    sqlite3* db_;
    sqlite3_stmt* statementInsert_;
}
-(void)dbTest;
-(void)dbOpen;
-(void)dbClose;
-(void)dbBegin;
-(void)dbCommit;
-(void)dbRollback;
-(void)userInfoSelect;
-(void)userInfoDeleteAll;
-(void)userInfoInsert:(UserInfo*)userInfo;
-(void)prepareInsertSQL;
-(void)finalizeInsertSQL;
-(NSNumber*)getNumber:(sqlite3_stmt*)statement column:(int)col;
-(NSString*)getString:(sqlite3_stmt*)statement column:(int)col;

@end
